Bug 254470 - graphics/mesa-libs: patch-src_loader_meson.build breaks DRI on broadwell with modesetting
Summary: graphics/mesa-libs: patch-src_loader_meson.build breaks DRI on broadwell with...
Status: New
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-x11 (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-21 19:22 UTC by Bengt Ahlgren
Modified: 2021-03-21 22:00 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (x11)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bengt Ahlgren 2021-03-21 19:22:32 UTC
Updating my Thinkpad X250 (Broadwell chipset) to mesa-dri/libs 20.2.3 broke direct rendering with the modesetting xorg driver. The xorg intel driver was however ok, but with it, I needed to use MESA_LOADER_DRIVER_OVERRIDE=i965 to get direct rendering.

I recompiled mesa-libs without the patch patch-src_loader_meson.build, and the modesetting driver again enabled direct rendering.

This is on 11.4-STABLE r369446 with drm-fbsd11.2-kmod-4.11g20200420_1.

Sorry for the brevity, but can provide more info if needed!
Comment 1 Jan Beich freebsd_committer 2021-03-21 22:00:50 UTC
Is iris from mesa-devel also affected? mesa-dri is both old (see below) and split in a way that caused bugs in the past.

- 20.2.3 was released on 2020-11-23 (this is what in ports/ atm)
- 20.2.4 was released on 2020-12-04
- 20.2.5 was released on 2020-12-16
- 20.2.6 was released on 2020-12-17
- 20.3.0 was released on 2020-12-03
- 20.3.1 was released on 2020-12-16
- 20.3.2 was released on 2020-12-30
- 20.3.3 was released on 2021-01-13
- 20.3.4 was released on 2021-01-29
- 21.0.0 was released on 2021-03-11

(In reply to Bengt Ahlgren from comment #0)
> broke direct rendering with the modesetting xorg driver

How does this manifest? Show Xorg.log and console output after prepending "env LIBGL_DEBUG=verbose"

> xorg intel driver was however ok

xf86-video-intel has DRI3 disabled by default. When using modesetting driver did you try prepending "env LIBGL_DRI3_DISABLE=1"?